html {
    position: relative;
    height: 100%;
    scroll-behavior: smooth;
}
body{
    font-family: "Roboto", serif;
    font-size: 16px;
    font-weight: 400;
    overflow-x: hidden;
    padding: 0px;
    margin: 0px;
    background-color: #ffffff;
    color: #353535;
    position: relative;
}

.cart-qty, .quote-count {
  position: relative;
  right: 9px;
  top: -10px;
  border-radius: 100%;
  background-color: #444;
  padding: 1px 4px;
  text-indent: 0;
  text-align: center;
  font-size: 9px;
  color: #fff;
  display: inline-block !important;
}

a, a:hover {
  color: inherit;
  text-decoration: none;
}

.fw-500{
    font-weight: 500;
}

.box001:hover .bx-title {
  color: #CC661E!important;
}

img.ff-category-banner {
  width: 100vw !important;
  position: relative;
  left: calc(-50vw + 50%);
  margin-top: -70px;
}

@media (min-width: 576px) {
    .container-ff, .container-ff-sm {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container-ff, .container-ff-md, .container-ff-sm {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container-ff, .container-ff-lg, .container-ff-md, .container-ff-sm {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container-ff{
        max-width: 1140px;
    }
}

@media (min-width: 1470px) {
    .container-ff{
        max-width: 1320px;
    }
}

@media (max-width: 991px) {
  .jCarouselMainWrapper .slick-prev,
  .jCarouselMainWrapper .slick-next {
    top: 50% !important;
    background-color: #fff !important;
  }
  .oproinotification {
    width: 70%!important;
  }
}

.mobile-filters {
  background-color: #CC661E !important;
}

.container-ff {
  --bs-gutter-x: 1.5rem;
  --bs-gutter-y: 0;
  padding-right: calc(var(--bs-gutter-x)* .5);
  padding-left: calc(var(--bs-gutter-x)* .5);
  margin-right: auto;
  margin-left: auto;
}

/* General styles for the offcanvas */
.offcanvas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    background-color: rgba(0, 0, 0, 0.8); /* Semi-transparent background */
    color: white;
    z-index: 1000;
    transform: translateY(-100%); /* Hidden above the viewport */
    transition: transform 0.3s ease-in-out;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Offcanvas content */
.offcanvas .content {
    background-color: #fff;
    color: #fff;
    padding: 20px 50px 20px 20px;
    width: 100%;
    text-align: center;
}

.offcanvas .content .search-container{
    display: block !important;
    width: 100%;
}

/* Close button styles */
.close-btn {
    position: absolute;
    top: 23px;
    right: 10px;
    font-size: 30px;
    color: #0B2222;
    background: none;
    border: none;
    cursor: pointer;
}

/* Show the offcanvas */
.offcanvas.show {
    transform: translateY(0);
    z-index: 1;
}

.sale-promo{
    background-color: #0B2222;
    text-align: center;
    color: #FFF;
    font-size: 16px;
    font-weight: 500;
    padding: 11px;
    overflow: hidden;
}

.sale-text {
    display: block;
}

/* Marquee animation */
@keyframes marquee {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(-100%);
    }
}

.top-nav{
    background-color: #076466;
    padding: 11px 0px;
}

.tn-data{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.tn-text{
    display: flex;
    align-items: center;
    gap: 10px;
    color: #FFF;
    transition: all 0.2s ease-in-out;
}

.tn-data a:hover, .tn-data a:hover svg path{
    color: #d67a26;
    stroke: #d67a26;
}

.tn-data a svg path{
    transition: all 0.2s ease-in-out;
}

/*Header*/
.header-ff {
  background-color: #fff;
  padding: 16px 0px;
  -webkit-box-shadow: 0px 7px 7px 0px rgba(0,0,0,0.06);
  -moz-box-shadow: 0px 7px 7px 0px rgba(0,0,0,0.06);
  box-shadow: 0px 7px 7px 0px rgba(0,0,0,0.06);
}

.h-box{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search-container, .dropdown-container {
    position: relative;
    width: 350px;
}

.search-input-ff, .dropdown-selected{
    width: 100%;
    padding: 12px 50px 13px 20px;
    border-radius: 5px;
    border: 1px solid #DFDFDF;
    background: #FFF;
    outline: none;
    box-sizing: border-box;
    font-size: 16px;
    cursor: pointer;
}

.search-input-ff::placeholder {
    color: #353535;
    font-family: "Roboto", serif;
    font-size: 16px;
}

.search-icon{
    position: absolute;
    top: 55%;
       right: 12px;

    transform: translateY(-48%);
    cursor: pointer;
}

.search-icon img{
    width: 20px;
}

.flex-box{
    display: flex;
    align-items: center;
    gap: 20px;
}

.dropdown-icon {
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    cursor: pointer;
}

.dropdown-icon img{
    width: 12px;
}

.dropdown-list {
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    display: none;
    z-index: 10;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    height: 400px;
    overflow-y: scroll;
}

.dropdown-list.active {
    display: block;
}

.dropdown-list-item {
    padding: 10px;
    cursor: pointer;
    transition: background-color 0.2s ease-in-out;
}

.dropdown-list-item:hover {
    background-color: #f0f0f0;
}

.scrollbar
{
    float: left;
    overflow-y: scroll;
/*    margin-bottom: 25px;*/
}

/*
 *  STYLE 1
 */

.scrollbar::-webkit-scrollbar-track
{
    border-radius: 10px;
    background-color: #fff;
}

.scrollbar::-webkit-scrollbar
{
    border-radius: 10px;
        width: 5px;
    background-color: #fff;
}

.scrollbar::-webkit-scrollbar-thumb
{
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #908a8a;
}
.offcanvas-menu .scrollbar{    overflow: auto;
    width: 100%;
    height: calc(100vh - 52px);
    }
.flex-box1{
    display: flex;
    align-items: center;
    gap: 26px;
}

.mobi-search-icon{
    display: none;
}

.mobi-select{
    display: none;
}
.login {
  position: relative;
}
.login-cart-box{
    display: flex;
    align-items: center;
    gap: 0px;
    transition: all 0.2s ease-in-out;
}

.login-cart-box svg path{
    transition: all 0.2s ease-in-out;
}

.login-cart-box:hover, .login-cart-box:hover svg path{
    color: #076466;
    stroke: #076466;
}

.dropdown-menu {
  position: absolute;
  top: 35px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #deebeb;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  overflow: hidden;
  width: 150px;
  display: none;
  z-index: 1000000000;
}

  .dropdown-menu a {
    display: block;
    padding: 10px;
    color: #353535;
    text-decoration: none;
    transition: all 0.2s ease-in-out;
  }

    .dropdown-menu a:hover {
      background-color: #076466;
      color: #fff;
    }

.show {
  display: block;
}

.mobi-ham-icon{
    display: none;
    margin-top: 5px;
}

.ham-icon{
    width: 35px;
}

.offcanvas-menu {
    position: fixed;
    top: 0;
    right: -380px; /* Initially hidden off-screen */
    width: 350px;
    height: 100%;
    background-color: #fff;
    color: #353535;
    overflow-y: auto;
    transition: right 0.3s ease;
    overflow-y: scroll;
    box-shadow: 0px 0px 10px #00000030;
}

.side-menu-title{
    padding: 10px 20px 20px;
    font-weight: 600;
}

.offcanvas-menu ul {
    list-style: none;
    padding-left: 0px;
    margin: 0;
}

.offcanvas-menu ul li {
    padding: 10px 10px 10px 20px;
}

.offcanvas-menu ul li:hover {
    background-color: #f0f0f0;
}

.offcanvas-menu ul li a {
    text-decoration: none;
    color: #353535;
}

.close-btn1 {
    position: absolute;
    top: 5px;
    right: 20px;
    font-size: 24px;
    color: #353535;
    text-decoration: none;
    cursor: pointer;
}

.close-btn1:hover{
    color: #353535;
}

/* When the menu is open */
.offcanvas-menu.open {
    right: 0;
    z-index: 2;
}

.mt-40{
    margin-top: 40px;
}
.mb-60{
    margin-bottom: 60px;
}
.mb-50{
    margin-bottom: 50px;
}
.mb-40{
    margin-bottom: 40px;
}
.mb-30{
    margin-bottom: 30px;
}
.mb-20{
    margin-bottom: 20px;
}

.top-level-link {
    display: inline-block;
    padding: auto;
}
.top-level-link .mega-menu-ff {
    display: flex;
    align-items: center;
    padding: 20px 30px;
    position: relative;
    font-size: 16px;
    font-weight: 400;
    box-sizing: border-box;
}
.top-level-link .mega-menu-ff .drop-icon{
    display: inline-flex;
    align-items: center;
    margin-left: 4px;
}
.top-level-link:hover .mega-menu-ff {
    color: #333;
    font-weight: 400;
}
.sub-menu-block .row{
    display: flex;
}
.flex-wrap{
    flex-wrap: wrap;
}
.d-flex{
    display: flex;
}
.col-3-width{
    min-width: 25%;
    width: 25%;
}
.col-4-width{
    min-width: 33.33%;
    width: 33.33%;
}
.w-100{
    width: 100%;
}
.sub-menu-block .col-3{
    display: block;
    width: 25%;
    padding: 0px 12px;
}
.sub-menu-block .col-6{
    display: block;
    width: 50%;
    padding: 0px 12px;
}
.sub-menu-block .col-4{
    display: block;
    width: 29.2%;
    padding: 0px 12px;
}
.coll-pad-ff{
    padding: 0px 12px!important;
}
.drop-tb-pad{
    padding-top: 15px!important;
    padding-bottom: 15px!important;
}
.sub-menu-head {
  font-size: 24px;
  font-weight: 500;
  margin-top: 0px;
  margin-bottom: 10px;
}
.left-drop-sidebar{
    background-color: #deebeb;
}
.top-level-link div.sub-menu-block {
    visibility: hidden;
    background-color: #f1f6f6;
    position: absolute;
    margin-top: 0px;
    min-width: 48.8%;
    width: 100%;
    max-width: 1280px;
    margin: auto;
    left: 0px;
    right: 0px;
    color: #333;
    left:0px;
    box-shadow:  0px 5px 5px #00000014;
    box-sizing: border-box;
    z-index: 3;
    font-size: 16px;
    opacity: 0;
  
    /*CSS animation applied for sub menu : Slide from Top */
    
    -webkit-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
    -webkit-transform: rotateX(90deg);
    -moz-transform: rotateX(90deg);
    -ms-transform: rotateX(90deg);
    transform: rotateX(90deg);
    -webkit-transform-origin: top center;
    -ms-transform-origin: top center;
    transform-origin: top center;
}
.top-level-link:hover div.sub-menu-block {
    visibility: visible;
    opacity: 1;
    -webkit-transform: rotateX(0deg);
    -moz-transform: rotateX(0deg);
    -ms-transform: rotateX(0deg);
    transform: rotateX(0deg);
}
.top-level-link div.sub-menu-block > * {
    -webkit-transition-property: opacity;
    -moz-transition-property: opacity;
    -o-transition-property: opacity;
    transition-property: opacity;
    -webkit-transition-duration: 0.4s;
    -moz-transition-duration: 0.4s;
    -o-transition-duration: 0.4s;
    transition-duration: 0.4s;
    opacity: 0;
}
.top-level-link:hover div.sub-menu-block > * {
    opacity: 1; 
}
.img-fluid{
    max-width: 100%;
    height: auto;
}
.drop-categoty-img{
    border-radius: 4px;
    margin-bottom: 10px;
}
.product-link-div{
    display: block;
    padding-bottom: 15px;
}
.pb-0{
    padding-bottom: 0px;
}
.product-link-div p{
    margin-top: 0px;
}
.product-view-all-link{
    font-size: 14px;
    text-decoration: underline!important;
}
.drop-shop-post{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}
.theme-btn {
    display: inline-block;
    padding: 12px 20px;
    border-radius: 4px;
    background-color: #076466;
    color: #fff!important;
    box-shadow: none!important;
    outline: 0!important;
    border: none;
    font-size: 16px;
}
.vertical-flex-between{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.tab {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 15px;
    background-color: transparent;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
}
.tab.active {
    background-color: #076466;
    color: #fff;
}
.tab-content {
  display: none;
  height: 100%;
}
.tab-content.active {
  display: block;
}
.h-100{
    height: 100%;
}

/*resposive sidebar*/
.accordion > input[type="checkbox"] {
  position: absolute;
  left: -100vw;
}
.accordion .content {
  overflow-y: hidden;
  height: 0;
  transition: height 0.3s ease;
}
.accordion > input[type="checkbox"]:checked ~ .content {
  height: auto;
  overflow: visible;
}
.accordion label {
  display: block;
}
.accordion {
    max-width: 100%;
    margin-bottom: .75em;
    padding: 5px 20px;
}
.accordion > input[type="checkbox"]:checked ~ .content {
  padding: 0px 0px 0px 30px;
}
.accordion .handle {
    margin: 0;
}
.accordion label {
    background-color: #fff!important;
    cursor: pointer;
    font-weight: 400;
    font-size: 18px;
}
.accordion p:last-child {
  margin-bottom: 0;
}
.gap-0{
    gap: 0;
}
.tn-text:hover a{
    color: #d67a26;
}
.new-tab{
    display: none;
}
.text-center{
    text-align: center;
}

.btn-theme{
    border-radius: 5px;
    background: #CC661E;
    padding: 15px 30px;
    color: #FFF;
    font-size: 20px;
    font-weight: 500;
    line-height: normal;
    display: flex;
    align-items: center;
    gap: 12px;
    width: fit-content;
    margin-left: auto;
    transition: all 0.3s ease-in-out;
}
.btn-theme:hover{
    background-color: #076466;
    color: #FFF;
}
.text-theme {
    color: #353535 !important;
}
.hero-title{
    font-size: 35px;
    font-weight: 600;
    line-height: normal;
}
#category-slider .owl-nav, #cfvf-slider .owl-nav{
    display: none;
}
 #cfvf-slider .owl-item{
    margin: 0 7.5px !important;
 }
/*New Css*/
.green-box{
    background-color: #DBF6F7;
    padding: 40px 46px 60px;
}
.green-box .cust-gap{
    --bs-gutter-y: 46px;
    --bs-gutter-x: 46px;
}
.gb-title{
    color: #353535;
    text-align: center;
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: 43px;
    position: relative;
}
.gb-title::after{
    content: '';
    position: absolute;
    bottom: -22px;
    left: 50%;
    transform: translateX(-50%);
    width: 104px;
    height: 6px;
    background-color: #076466;
    border-radius: 5px;
}
.sp-box .sp-top{
    width: 100%;
    height: 300px;
    background-position: center;
    background-size: cover;
    border-radius: 0 6px 5px 0;
    margin-bottom: 20px;
}
.spt-white{
    padding: 24px 24px 18px;
    background-color: #FFFFFF;
    border-radius: 0 5px 5px 0;
}
.spt-white .title{
    color: #353535;
    font-size: 20px;
    font-weight: 500;
    line-height: normal;
    margin-bottom: 6px;
}
.dollar-sign{
    color: #353535;
    font-size: 23px;
    font-weight: 500;
    line-height: normal;
    margin-right: 3px;
}
.amount-text{
    color: #353535;
    font-size: 50px;
    font-weight: 500;
    line-height: normal;
}
.amount-sec{
    display: flex;
    align-items: center;
}
.sft-text{
    color: #898989;
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
    margin-top: -6px;
}
.sp-bottom{
    color: #898989;
    font-size: 26px;
    font-weight: 500;
    line-height: normal;
    position: relative;
    transition: all 0.3s ease-in-out;
}
.sp-bottom::after{
    content: '';
    width: 100%;
    height: 3px;
    border-radius: 5px;
    background-color: #898989;
    position: absolute;
    bottom: -17px;
    left: 0px;
    transition: all 0.3s ease-in-out;
}
.sp-box:hover .sp-bottom{
    color: #076466;
}
.sp-box:hover .sp-bottom::after{
    background-color: #076466;
}

.text-green{
    color: #076466;
}
.review-img{
    border-radius: 5px;
}
.review-text{
    color: #989898;
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
    margin-bottom: 20px;
}
.customer-name{
    color: #353535;
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
}
.btn-center{
    margin-left: auto;
    margin-right: auto;
}
.select-category-sec{
    display: flex;
    align-items: center;
    gap: 24px;
    margin-bottom: 40px;
}

.select-wrap {
  position: relative;
  width: 250px;
}

.select-wrap select {
    width: 100%;
    padding: 12px 16px;
    font-size: 20px;
    font-weight: 400;
    line-height: normal;
    border: 1px solid #9F9F9F;
    border-radius: 6px;
    background-color: #fff;
    color: #353535;
    height: auto !important;

  /* Remove default arrow */
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;

  cursor: pointer;
}
.select-wrap select:focus{
    box-shadow: none;
    outline: 0;
}
/* Placeholder color */
.select-wrap select:has(option[value=""]:checked) {
  color: #989898;
}

/* Fallback (older browsers) */
.select-wrap select option[disabled] {
  color: #989898;
}

/* Custom arrow */
.select-wrap::after {
  content: "";
  position: absolute;
  right: 16px;
  top: 50%;
  width: 12px;
  height: 12px;
  border-right: 2px solid #989898;
  border-bottom: 2px solid #989898;
  transform: translateY(-50%) rotate(45deg);
  pointer-events: none;
}
.category-box .img-box{
    height: 120px;
    background-color: #D9D9D9;
    border-radius: 5px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-bottom: 20px;
}
.category-box .customer-name{
    text-align: center;
    margin-bottom: 0px;
}
#category-slider{
    margin-bottom: 80px;
}

.cfvf-box{
    border-radius: 5px;
    border: 2px solid #989898;
    background: #FFF;
    padding: 15px 2px 2px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    box-shadow: 0 0 0px 0 #00000030;
    transition: all 0.3s ease-in-out;
}
.cfvf-box:hover{
    border-width: 2px;
    border-color: #076466;
    box-shadow: 0 0 20px 0 #00000030;
}
.owl-carousel .owl-item img {
    width: fit-content;
}
.best-seller{
    margin-bottom: 15px;
}
.cfvf-img{
    background-size: cover;
    background-position: center;
    border-radius: 5px;
    height: 266px;
    margin-bottom: 2px;
}
.cfvf-box .content-box{
    padding: 20px 16px;
}
.cfvf-box .content-box .customer-name{
    margin-bottom: 10px;
}
.cfvf-box .review-stars{
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}
.cfvf-box .stars-sec{
    display: flex;
    align-items: center;
    gap: 5px;
}
.cfvf-box p{
    color: #353535;
    font-size: 16px;
    font-weight: 500;
    line-height: normal;
    margin-bottom: 4px;
}
.text-grey{
    color: #898989;
}
.review-stars p{
    margin-bottom: 0px;
    color: #898989;
}
.starting-from-sec{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    margin-bottom: 20px;
}
.starting-from-sec .left-side p:last-child{
    margin-bottom: 0px;
}
.btn-order{
    width: 100%;
    padding: 12px 20px;
    border-radius: 5px;
    background-color: #DBF6F7;
    color: #353535;
    font-size: 22px;
    font-weight: 500;
    line-height: normal;
    margin-bottom: 12px;
    transition: all 0.3s ease-in-out;
}
.cfvf-box .available-color-text{
    margin-bottom: 0px;
    color: #898989;
    text-align: center;
}
.cfvf-box:hover .btn-order{
    background-color: #CC661E;
    color: #FFFFFF;
}

#cfvf-slider .owl-carousel .owl-stage {
  display: flex;
}

#cfvf-slider .owl-carousel .owl-item {
  display: flex;
  justify-content: center;
}

#cfvf-slider .owl-carousel .owl-item .item {
    width: 100%;
}

.review-text{
    color: #989898 !important;
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
    margin-bottom: 20px !important;
    text-align: left !important;
}
.align-items-center {
    align-items: center !important;
    display: flex;
}
.f-title
 {
     text-transform: initial !important; 
    font-size: 24px;
    margin-bottom: 25px;
    text-align: left;
    color: #076466 !important;
}
.f-title:after{
    display: none;
}
.oproinotification {
  position: fixed;
  top: 30px;
  display: none;
  background-color: #CC661E;
  z-index: 100000000000;
  color: #fff;
  text-align: center;
  border-radius: 0px;
  box-sizing: unset;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  width: 40%;
  font-size: 16px;
  left: 50%;
  top:10%;
  border-radius:4px;
  transform: translate(-50%, -50%);
}

/****************************Please wait spinner Begin******************************/
.lds-ellipsis-small {
  display: inline-block;
  position: relative;
  width: 80px;
  /*  height: 80px;*/
}

  .lds-ellipsis-small div {
    position: absolute;
    top: 0px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #076466 !important;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
  }

    .lds-ellipsis-small div:nth-child(1) {
      left: 8px;
      animation: lds-ellipsis1 0.6s infinite;
    }

    .lds-ellipsis-small div:nth-child(2) {
      left: 8px;
      animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis-small div:nth-child(3) {
      left: 32px;
      animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis-small div:nth-child(4) {
      left: 56px;
      animation: lds-ellipsis3 0.6s infinite;
    }

/****************************Please wait spinner End******************************/